#pragma once
#include "Mod.h"

class Spider : public Mod {
public:
	int mode = 0;
	float speed = 1.f;
	float delay = 1.f;
	Spider() : Mod(_("Spider"), _("Climb the wall."), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1), new int(0), 1, {
			_("Normal"), ("Jump")
			}, true });
	
		settings.push_back(new Setting{ _("Climb Speed"), &speed, new float(1.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Delay"), &delay, new float(1.f), new float(0.f), 2, {}, true });
		
		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto onClient() -> void override;
	virtual auto getMode() -> std::string override;
};
